##使用说明

###关于接口
1、kgopen平台使用http接口，通过post请求的方式进行数据的引入。
2、接口分为沙盒接口和正式接口。使用沙盒接口推送数据，在kgopen.baidu.com上查看推送记录，无错误记录后。联系相应对接同学进行正式接口的开通。
3、默认站长对应的一个类目的接口每天的使用次数为1000次（沙盒、正式是独立的），请根据数据量，按每次推送多条或者单条进行引入。如果次数不够，评估数据量后联系相应对接同学进行提额。
4、站长可在接口上加参数 rid=*****，来唯一表示你当前的一次请求。方便进行定位问题。
5、对于接口返回的结果，结果中包含服务返回的唯一id（logid），请记录在日志中。方便进行定位问题。
6、每次post请求最大的数据量为10M，建议数据量大小留些空余。


###关于数据
1、数据需要为标准的json格式数据，字段的值不要为 null（如 {"id": 123, "name":null}）。字段值为空，填""。
2、数据需要为UTF-8编码
3、进行推送时，每条json数据一行，则可进行批量推送
4、默认post数据时，是进行数据的增加操作。如果需要删除数据，则在推送接口上加参数 op=1。数据上，保持原有的数据或者id字段不变。


###关于示例
1、示例中main.php中的$url 为post请求接口，该参数为平台分配的api地址，只有管理员审批通过之后用户才能在平台上看到。
2、在当前目录下执行 php main.php
3、demo.json为数据样例文件。demo_schema.json为引入数据格式规范样例文件，可在kgopen.baidu.com对应类目下的【查看数据规范】处了解。
4、$data为要post的数据内容，可从文件中读取，也可自己初始化。但请根据平台上对应接入类目的数据格式规范组织数据。务必每行一条json数据。
5、示例中包含了请求数据大小限制、请求可选参数rid的生成，请求及返回结果的日志记录、请求超时重试等基本操作，站长可根据需求进行扩展。
6、日志中包含了请求信息和返回信息。