<?php
/***************************************************************************
 *
 * Copyright (c) 2017 Baidu.com, Inc. All Rights Reserved
 *
 **************************************************************************/

/**
 * @file main.php
 * @brief 测试推送入口
 **/

include_once('pushdata.php');

/**
 * @desc 从文件中获取数据
 * @return $data_arr array
 */
function data_from_file() {
    //数据文件地址
    $file_path = "demo.json";

    // 请控制输入文件的大小
    // 如果文件内容过大，可使用fopen() & fgets() & fclose()函数分批读取和发送
    $file_data = file_get_contents($file_path);
    $data_arr = explode("\n", $file_data);
    return $data_arr;
}

/**
 * @desc 直接赋值
 * @return array_arr array
 */
function data_from_nofile() {
    $str_data = <<<JSON
{"id": "123456","url": "http://m.baidu.com","fromSite": "测试网","fromSiteUrl": "http://www.test_web.com","tag": ["土豆"],"viewCount": 22,"collectCount": 1,"praiseCount": 5,"question": "炖牛肉买哪个部位的肉","answers": [{"fullText": "牛肉中的牛腩xxxx，可以选用牛腩","abstract": "可以买牛腩等部位","viewCount": 11,"collectCount": 11,"praiseCount": 22,"label": ["满意回答"],"tag": ["牛腩"]}]}
{"id": "123457","url": "http://m.baidu.com","fromSite": "测试网","fromSiteUrl": "http://www.test_web.com","tag": ["土豆"],"viewCount": 22,"collectCount": 1,"praiseCount": 5,"question": "炖牛肉买哪个部位的肉","answers": [{"fullText": "牛肉中的牛腩xxxx，可以选用牛腩","abstract": "可以买牛腩等部位","viewCount": 11,"collectCount": 11,"praiseCount": 22,"label": ["满意回答"],"tag": ["牛腩"]}]}
{"id": "123458","url": "http://m.baidu.com","fromSite": "测试网","fromSiteUrl": "http://www.test_web.com","tag": ["土豆"],"viewCount": 22,"collectCount": 1,"praiseCount": 5,"question": "炖牛肉买哪个部位的肉","answers": [{"fullText": "牛肉中的牛腩xxxx，可以选用牛腩","abstract": "可以买牛腩等部位","viewCount": 11,"collectCount": 11,"praiseCount": 22,"label": ["满意回答"],"tag": ["牛腩"]}]}
JSON;

    $data_array = explode("\n", $str_data);
    return $data_array;
}


// 沙盒环境地址，将$url换为 平台上分配的沙盒接口
$url = "http://pingtest.kg.baidu.com/push?****";

// 正式环境地址，将$url换为 平台上分配的沙盒接口
//$url = "http://ping.kg.baidu.com/push?***";

$data = data_from_file(); //$data 需要为array类型，数据来源于文件
//$data = data_from_nofile(); //$data 需要为array类型，数据来源于输入数据

$push = new PushData($url);
$push->post_json_data($data);

